package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

@Data
public class QcDetailReportModel implements Serializable {
    @ApiParam(value = "顾客名称")
    private String customerName;

    @ApiParam(value = "供应商名称")
    private String supplierName;

    @ApiParam(value = "供应商代码")
    private String supplierCode;

    @ApiParam(value = "送货时间")
    private String deliveryDate;

    @ApiParam(value = "物料号")
    private String partNo;

    @ApiParam(value = "物料描述")
    private String partName;

    @ApiParam(value = "生产日期")
    private String productDate;

    @ApiParam(value = "送货批次")
    private String deliveryLotNo;

    @ApiParam(value = "本批次生产总数")
    private String lotNoProdQry;

    @ApiParam(value = "供货数量")
    private String supplyQty;

    @ApiParam(value = "检测类型")
    private Integer checkType;

    @ApiParam(value = "检验项")
    private String checkItem;

    @ApiParam(value = "检验要求")
    private String checkStandard;

    @ApiParam(value = "检测值")
    private String checkValue;

    @ApiParam(value = "检测结果")
    private Integer checkResult;

    @ApiParam(value = "备注")
    private String memo;
}
